import type { ComputedRef } from 'vue';
declare const sizeProvider: unique symbol;
declare const useProvideSize: <T = any>(props: Record<any, any>) => ComputedRef<T>;
declare const useInjectSize: <T = any>(props?: Record<any, any>) => ComputedRef<T>;
export { useInjectSize, sizeProvider, useProvideSize };
export default useProvideSize;
